%{?scl:%scl_package mcollective-puppet-agent}
%{!?scl:%global pkg_name %{name}}

Summary: Run Puppet agent, get its status, and enable/disable it
Name: %{?scl_prefix}mcollective-puppet-agent
Version: 1.6.0
Release: 1%{?dist}
License: ASL2.0
URL: http://puppetlabs.com
Vendor: Puppet Labs
Packager: R.I.Pienaar <rip@devco.net>
BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Group: System Tools
Source0: mcollective-puppet-agent-1.6.0.tgz
%{?scl:Requires: %{scl}-runtime}
Requires: %{?scl_prefix}mcollective-common >= 2.2.1
Requires: %{?scl_prefix}mcollective-puppet-common >= 1.6.0

%description
Run Puppet agent, get its status, and enable/disable it

%prep
%setup -n %{pkg_name}-%{version}

%build

%install
rm -rf %{buildroot}
%{__install} -d -m0755 %{buildroot}%{_libexecdir}/mcollective/mcollective/agent

%{__install} -m0644 usr/libexec/mcollective/mcollective/agent/puppet.rb %{buildroot}%{_libexecdir}/mcollective/mcollective/agent/puppet.rb

%files
%defattr(-,root,root,-)
%{_libexecdir}/mcollective/mcollective/agent/puppet.rb

%changelog
* Mon May 13 2013 R.I.Pienaar <rip@devco.net> - 1.6.0-1
- Built Package mcollective-puppet-agent
